%define name	%{mod_name}
%define version %{mod_version}
%define release 2

# Module-Specific definitions
%define mod_version	0.2
%define mod_name	mod_dosdetector
#%define mod_conf	13_%{mod_name}.conf
%define mod_so		%{mod_name}.so
%define sourcename	%{mod_name}-%{mod_version}
%define apxs		/usr/sbin/apxs

Summary:	DoS attack detector for the Apache web server
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
License:	Apache License
Group:		System/Servers
URL:		http://misccs.dyndns.org/mod_dosdetector/
Source0:	http://misccs.dyndns.org/mod_dosdetector/%{sourcename}.tar.gz
Source1:	mod_dosdetector.conf

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel,apr-devel

%description
mod_auth_pgsql can be used to limit access to documents served by
a web server by checking fields in a table in a PostgresQL
database.

%prep
%setup -q -n %{sourcename}

%build

%{apxs} -c mod_dosdetector.c -n mod_dosdetector.so

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
install -d -m0755 -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -c -m0755 .libs/mod_dosdetector.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
install -c -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
# %{apxs} -c -i -a -n 'dosdetector' mod_dosdetector.c

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root)
%{_libdir}/httpd/modules/
%{_sysconfdir}/httpd/conf.d
#%config(noreplace) %{ap_confd}/%{mod_conf}
#%doc README INSTALL *.html

%changelog
* Tue Aug 23 2011  <webmaster@momo-i.org> - 0.2-2
- Added sample configuration.

* Fri Jan 19 2007  <stanaka@inco.hatena.com> - 0.1-1
- Initial release.

